Subject: RE: bug#2343: Color highlighting leaves a trail of cursors on the screen

From: Kim Rose Carlsen <[email-masked]>
Date: Thu, 19 Feb 2009 12:34:24 +0100

I can confirm that upgrading to the latest version of vte fixes the problem.

Old vte version 0.17.4
new vte version 0.19.4 

Best regards
Kim Carlsen

-----Original Message-----
From: Sven Joachim [mailto:[email-masked]] 
Sent: Thursday, February 19, 2009 11:13 AM
Subject: Re: bug#2343: Color highlighting leaves a trail of cursors on the screen

On 2009-02-19 04:35 +0100, Chong Yidong wrote:

> Kim Rose Carlsen wrote:
>
>> How to reproduce:
>> In a terminal 
>> 1) start emacs (emacs -nw)
>> 2) switch to scratch buffer 
>> 2) Change to c mode (M-x c-mode)
>> 3) type 'if (aa == 1)'
>>
>> You should now see (a green) cursor block between 'aa' and '==' like the
>> screenshot.
>>
>> Tested with terminal:
>> Gnome-terminal (term=xterm || term=linux)
>> xfce-terminal  (term=xterm || term=linux)
>> rox-terminal   (term=xterm || term=linux)
>>
>> Cannot reproduce with 
>> linux console (term=linux || term=xterm)
>> xterm (term=xterm || term=linux)
>
> I'm pretty baffled by this one.  I can reproduce it using
> gnome-terminal, and a slightly different version of the bug seems to
> show up in Emacs 22 too.  Anyone have any idea?

Probably that's http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=457483
aka http://bugzilla.gnome.org/show_bug.cgi?id=514632.

Sven